# Interface methods for submodule: ScalarImageKmeansImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ScalarImageKmeansImageFilter
class ScalarImageKmeansImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def AddClassWithInitialMean(self, mean: float) -> None:
		""""""
		...

	def GetFinalMeans(self) -> Sequence[float]:
		""""""
		...

	def SetUseNonContiguousLabels(self, _arg: bool) -> None:
		""""""
		...

	def GetUseNonContiguousLabels(self) -> bool:
		""""""
		...

	def UseNonContiguousLabelsOn(self) -> None:
		""""""
		...

	def UseNonContiguousLabelsOff(self) -> None:
		""""""
		...

	def SetImageRegion(self, region: ImageRegion) -> None:
		""""""
		...

	def GetImageRegion(self) -> ImageRegion:
		""""""
		...

